#
# spec file for package irda (Version 0.9.13)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         irda
Summary:      Necessary tools for the usage of the infrared port
Version:      0.9.13
Release:      135
Group:        Applications/Networking
Copyright:    GPL
BuildRoot:    %{_tmppath}/%{name}-root
#Provides:
#Requires:    
#Conflicts:   
Autoreqprov:  on
Source:       irda-utils-%{version}.tar.gz
Patch:        irda-utils-%{version}.dif
Patch1:       irda-utils.sparc.dif
Source1:       man-irda-0.3.tgz

%description
This package contains all necessary scripts and programs to setup and use
the infrared port for printing or communicating. The start/stop scripts are
prepared to access the UART emulation (so called `SIR' mode) with 115 kbit/s
data transfer rate. This is supported by the most notebooks with infrared
interface.
After starting the infrared protocol manager `irmanger' with the command
`rcirda start' you can send data to your printer by using the device file
/dev/irlpt0. If you like to talk to other computers with infrared interface
or to a mobile phone you can use the serial emulation provided by the device
file /dev/ircomm0.
Please take a look at the README file located in
/usr/share/doc/packages/irda/README and into the IRDA HOWTO which is located in
/usr/share/doc/howto/en/IR-HOWTO.gz. If the infrared port on your notebook is
located on a different IO or IRQ address then IO address 0x2f8 (/dev/ttyS1)
or interrupt 3 you should use yast to change the variables IRDA_PORT and
IRDA_IRQ in the configuration file /etc/rc.config.

Authors:
--------
    Dag Brattli <dagb@cs.uit.no>
    Pontus Fuchs <pontus.fuchs@vicecomputer.se>
    Fons Botman <budely@tref.nl>
    Andy Choi <kc49@cornell.edu>

SuSE series: n

%prep
%setup -n irda-utils-%{version} -a 1
%patch
%ifarch sparc sparc64
%patch1
%endif

%build
pushd irdadump
libtoolize --force
popd
make all INITD=%{_sysconfdir}/init.d ROOT="$RPM_BUILD_ROOT"

%install
make install INITD=%{_sysconfdir}/init.d \
             DOCDIR=%{_defaultdocdir}/irda \
             ROOT="$RPM_BUILD_ROOT"
mkdir -p %{buildroot}%{_mandir}/man8
install -m 644 man-irda*/[fi]*8* %{buildroot}%{_mandir}/man8

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.irda
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.irda"
  echo "and update by hand."
fi
if [ -e /sbin/insserv ] ; then # 7.1 or newer
  sbin/insserv etc/init.d/irda
fi

%postun
if [ -e /sbin/insserv ] ; then # 7.1 or newer
  sbin/insserv etc/init.d/
fi

%files
%doc %{_docdir}/irda
%{_sysconfdir}/init.d/irda
/usr/sbin/*
/usr/bin/*
%doc %{_mandir}/man8/*
/var/adm/fillup-templates/rc.config.irda

%changelog -n irda
* Tue Jun 26 2001 - ro@suse.de
- make it accept libtool-1.4
* Wed Apr 11 2001 - zoz@suse.de
- added irda manpages from mobilix.org
- made filelist generic
- removed %%{?suse_check}
* Sat Jan 06 2001 - zoz@suse.de
- updated status section in rcirda
* Mon Dec 11 2000 - kukuk@suse.de
- Adjust sparc patch
* Tue Dec 05 2000 - zoz@suse.de
- excluded findchip for all non i386
* Sun Dec 03 2000 - zoz@suse.de
- update to 0.9.13
- removed /etc/irda/
- moved /sbin/init.d/irda to /etc/init.d/irda
- added INIT INFO to rcirda and moved it to /etc/init.d/irda
- removed START/STOP-links, added insserv
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Jul 08 2000 - kukuk@suse.de
- Don't build findchip on SPARC
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Wed Feb 16 2000 - uli@suse.de
- added support for PPC (untested, might work on CHRP and PReP)
* Mon Feb 14 2000 - cg@suse.de
- update to 0.9.9
* Fri Oct 29 1999 - cg@suse.de
- adjusted owner and group of the devices to root.lp (/dev/irlpt0) and
  root.uucp (/dev/ircomm0).
- modified network start/stop skript a little bit: Removed the default setup
  from "bootp" on the irlan interface to "no configuration" (Behaves now
  like the skript in the PCMCIA package)
* Fri Oct 15 1999 - ro@suse.de
- rebuild binary objects (at least for non-x86)
* Tue Oct 12 1999 - cg@suse.de
- Forget to include the fillup rc.config skript in the post
  install section - fixed
* Mon Oct 04 1999 - cg@suse.de
- adjusted scripts in /etc/irda, added creation of dev/ircomm and /dev/irlpt
- created start/stop script in scripts, will be installed in /sbin/init.d,
  /usr/sbin/rcirda runlevel start/stop links will be created for runlevel 2
  and 3
- fillup creates START_IRDA, IRDA_PORT, IRDA_IRQ variables in etc/rc.config.
  Default ist
  START_IRQ=no
  IRDA_PORT=/dev/ttyS1
  IRDA_IRQ=3
  which works for the mosts Laptops flawlessly (but only UART SIR mode, not
  FIR - manual editing of /etc/irda/drivers is necessary to change this)
- changed etc/network and etc/network.opts to be similar to the PCMCIA
  scripts.
- irobex tools are installed in /usr/bin and not in /bin
- Documentation is copied to /usr/doc/packages/irda
